Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class SelectField

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.list.AbstractListComponent
              nextapp.echo2.app.SelectField

All Implemented Interfaces:
  java.io.Serializable, RenderIdSupport

Direct Known Subclasses:
  SelectFieldEx

    public class SelectField

extends AbstractListComponent

A drop-down select field.

See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.list.AbstractListComponent
`ACTION_LISTENERS_CHANGED_PROPERTY, DEFAULT_LIST_CELL_RENDERER, INPUT_ACTION, LIST_CELL_RENDERER_CHANGED_PROPERTY, LIST_DATA_CHANGED_PROPERTY, LIST_MODEL_CHANGED_PROPERTY, PROPERTY_ACTION_COMMAND, PROPERTY_BORDER, PROPERTY_DISABLED_BACKGROUND, PROPERTY_DISABLED_BORDER, PROPERTY_DISABLED_FONT, PROPERTY_DISABLED_FOREGROUND, PROPERTY_HEIGHT, PROPERTY_INSETS, PROPERTY_ROLLOVER_BACKGROUND, PROPERTY_ROLLOVER_ENABLED, PROPERTY_ROLLOVER_FONT, PROPERTY_ROLLOVER_FOREGROUND, PROPERTY_TOOL_TIP_TEXT, PROPERTY_WIDTH, SELECTION_CHANGED_PROPERTY, SELECTION_MODEL_CHANGED_PROPERTY`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`SelectField()` Creates a new, empty `SelectField`.
`SelectField(ListModel model)` Creates a new `SelectField` with the provided model.
`SelectField(java.lang.Object[] items)` Creates a new `SelectField` that will initially contain the provided array of items.

Method Summary
`int` | `getSelectedIndex()` Returns the index of the currently selected item.
`java.lang.Object` | `getSelectedItem()` Returns the currently selected item.
`void` | `setSelectedIndex(int index)` Sets the selected index.

Methods inherited from class nextapp.echo2.app.list.AbstractListComponent
`addActionListener, getActionCommand, getBorder, getCellRenderer, getDisabledBackground, getDisabledBorder, getDisabledFont, getDisabledForeground, getHeight, getInsets, getModel, getRolloverBackground, getRolloverFont, getRolloverForeground, getSelectionModel, getToolTipText, getWidth, hasActionListeners, isRolloverEnabled, isValidChild, processInput, removeActionListener, setActionCommand, setBorder, setCellRenderer, setDisabledBackground, setDisabledBorder, setDisabledFont, setDisabledForeground, setHeight, setInsets, setModel, setRolloverBackground, setRolloverEnabled, setRolloverFont, setRolloverForeground, setSelectionModel, setToolTipText, setWidth`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectField

    public SelectField()

  Creates a new, empty `SelectField`.

### SelectField

    public SelectField(ListModel model)

  Creates a new `SelectField` with the provided model.

  Parameters:
    `model` - the model for the `SelectField`

### SelectField

    public SelectField(java.lang.Object[] items)

  Creates a new `SelectField` that will initially contain the provided array of items.

  Parameters:
    `items` - the items the `SelectField` will initially contain

Method Detail

### getSelectedIndex

    public int getSelectedIndex()

  Returns the index of the currently selected item.

  Returns:
    the index of the currently selected item

### getSelectedItem

    public java.lang.Object getSelectedItem()

  Returns the currently selected item.

  Returns:
    the currently selected item

### setSelectedIndex

    public void setSelectedIndex(int index)

  Sets the selected index.

  Parameters:
    `index` - the new selected index

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD